Bug 1734338 - Targeted refresh does not occur for openstack
Summary: Targeted refresh does not occur for openstack
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.12.0
Assignee: Marek Aufart
QA Contact: Ido Ovadia
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1692892 1712049
Blocks: 1784107 1740767
TreeView+ depends on / blocked
 
Reported: 2019-07-30 09:38 UTC by Rahul Chincholkar
Modified: 2019-12-16 18:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1712049
: 1740767 1784107 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 CFME Bot 2019-08-08 09:02:38 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/d854ee9c7bf66ec7d22fd14347cbc06c8ff33a72
commit d854ee9c7bf66ec7d22fd14347cbc06c8ff33a72
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Tue Jul 30 07:29:11 2019 -0400
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Tue Jul 30 07:29:11 2019 -0400

    Make events_backread switchable

    OpenStack should expect timestamps in UTC. However some production environments
    might work in different way. The safest way fix seems to be extend event_backread
    feature with possibility to turn it off.

    Event backread can be now turned off by setting :event_backread_seconds
    settings option to number less than 1, e.g. 0.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1734338

 lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb | 14 +-
 1 file changed, 9 insertions(+), 5 deletions(-)

Comment 4 CFME Bot 2019-08-12 16:36:45 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/ivanchuk:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/3c5e6758acb97de1fcdd9b3043e72c2f2094541d
commit 3c5e6758acb97de1fcdd9b3043e72c2f2094541d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Aug  8 04:59:31 2019 -0400
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Aug  8 04:59:31 2019 -0400

    Merge pull request #491 from aufi/events_backread_switch

    Make events_backread switchable

    (cherry picked from commit a600714cdcfd7617a69102eae86fdbe1c28178b0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1734338

 lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb | 14 +-
 1 file changed, 9 insertions(+), 5 deletions(-)

Comment 6 Marek Aufart 2019-08-15 07:32:49 UTC
The fix of this BZ is possibility turn off events_readback feature which should fix strange timezones differences between CF and OSP.

If user needs switch it off, it is needed set :event_backread_seconds Settings option to 0 (zero). Full settings option path is :ems, :ems_openstack, :event_handling, :event_backread_seconds.

Comment 7 Rahul Chincholkar 2019-08-15 10:22:36 UTC
Marek,

I am not sure if this is a right way to test the PR (https://github.com/ManageIQ/manageiq-providers-openstack/pull/491), However I tried it.

1. Modified /opt/rh/cfme-gemset/bundler/gems/cfme-providers-openstack-df58824a22ec/lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb as mentioned in PR commit. (I took backup of previous one).
2. Restarted evmserverd
3. Checked if the events are being captured with default (event_backread_seconds=15)
   - The events are not being captured and the following log is observed for querying timestamp:
     		[----] I, [2019-08-15T15:38:42.822177 #13246:af1694]  INFO -- : Querying OpenStack for events newer than 2019-08-09 03:00:09 UTC...
		[----] I, [2019-08-15T15:38:43.526052 #13265:b01e90]  INFO -- : Querying OpenStack for events newer than 2019-08-09 03:06:42 UTC...
		[----] I, [2019-08-15T15:38:43.821547 #13274:adb2a4]  INFO -- : Querying OpenStack for events newer than ...
4. Modified event_backread_seconds=0
   - The events are not being captured here and the following log is observed for querying timestamp:
		[----] I, [2019-08-15T15:44:13.781982 #13246:af1694]  INFO -- : Querying OpenStack for events newer than 2019-08-09 03:00:09 UTC...
		[----] I, [2019-08-15T15:44:14.848114 #13265:b01e90]  INFO -- : Querying OpenStack for events newer than 2019-08-09 03:06:42 UTC...
		[----] I, [2019-08-15T15:44:15.658787 #13274:adb2a4]  INFO -- : Querying OpenStack for events newer than ...

Environment:
RHOSP 10
CFME 5.10.6.1

Additionally, in CFME 5.9.9.3 event capture and corresponding targeted refresh still works fine without the mentioned change of `event_backread_seconds=0`.
Let me know if you want to discuss my findings over a bluejeans call.

Comment 8 Ido Ovadia 2019-08-18 16:16:12 UTC
Failed QA
=========
5.11.0.19, RHOS 10

I have create an image, FIP, volume and router all events listed on ceilometer but no target refresh triggered more than half an hour 

I have set event_backread_seconds to '0' but no target refresh triggered

Comment 10 dmetzger 2019-09-25 13:01:05 UTC
Ido, can you provide access for Marek as requested in comment #9?

Comment 11 Satoe Imaishi 2019-10-22 13:55:47 UTC
Related PR: https://github.com/ManageIQ/manageiq-providers-openstack/pull/516

Comment 12 Marek Aufart 2019-11-14 10:58:07 UTC
This BZ should go to POST once https://github.com/ManageIQ/manageiq-providers-openstack/pull/516 is backported.


Note You need to log in before you can comment on or make changes to this bug.